package com.xhkjedu.sclass.mapper.classroom;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sclass.model.classroom.TClassroomProfile;
import com.xhkjedu.sclass.model.classroom.TClassroomVoteStudent;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface ClassroomProfileMapper extends TkMapper<TClassroomProfile> {

    //获取课堂资料
    List<Map<String,Object>> listProfileByRoomid(@Param("roomid")Long roomid);

    //资料查看学生
    List<TClassroomVoteStudent> listProfileStus(@Param("profileid")Long profileid);

    //资料信息
    List<Map> listProfileStuByRoomAndStuid(@Param("roomid")Long roomid,@Param("studentid")Integer studentid);

    //批量保存
    void insertBatch(@Param("profiles") List<TClassroomProfile> profiles);
}